versionDisplay()
init()

async function init(){
  let result = await getQuery('res')
  if (result == 'success') {
    document.getElementById('reg_success').style = 'display:block'
  } else if (result =='fail') {
    let reason = await getQuery('msg')
    document.getElementById('reg_fail').style = 'display:block'
    if (reason != 'false') {
      document.getElementById('fail_msg').style = 'display:block'
      document.getElementById('fail_reason').textContent = reason
    }
  } else {
    document.getElementById('other').style = 'display:block'
  }
  hideLoading()
}